summaryrefslogtreecommitdiffstats
path: root/system/podman
diff options
context:
space:
mode:
Diffstat (limited to 'system/podman')
-rw-r--r--system/podman/README15
-rw-r--r--system/podman/podman.SlackBuild100
-rw-r--r--system/podman/podman.info10
-rw-r--r--system/podman/slack-desc19
4 files changed, 144 insertions, 0 deletions
diff --git a/system/podman/README b/system/podman/README
new file mode 100644
index 0000000000..5295426059
--- /dev/null
+++ b/system/podman/README
@@ -0,0 +1,15 @@
+podman - for running OCI-based containers in Pods
+
+libpod provides a library for applications looking to use the Container Pod
+concept popularized by Kubernetes. libpod also contains a tool called podman
+for managing Pods, Containers, and Container Images.
+
+At a high level, the scope of libpod and podman is the following:
+* Support multiple image formats including the existing Docker/OCI image formats.
+* Support for multiple means to download images including trust & image verification.
+* Container image management (managing image layers, overlay filesystems, etc).
+* Full management of container lifecycle
+* Support for pods to manage groups of containers together
+* Resource isolation of containers and pods.
+
+These container runtimes can run as non-root, but require sub-uid/gid mappings
diff --git a/system/podman/podman.SlackBuild b/system/podman/podman.SlackBuild
new file mode 100644
index 0000000000..cd009b749e
--- /dev/null
+++ b/system/podman/podman.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for podman
+
+# Copyright 2019 Vincent Batts, Raleigh, NC, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=podman
+REPONAME=libpod
+VERSION=${VERSION:-1.0.1}
+GIT_COMMIT="2c74edd0ac6509d6e533cb4e012e3e3f9e03434d"
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# The domain part of the go package name, usually the hosting platform
+DOMAIN=github.com
+# The name of the organization/owner of the package
+ORG=containers
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $REPONAME-$VERSION
+mkdir -p $REPONAME-$VERSION/src/$DOMAIN/$ORG
+cd $REPONAME-$VERSION/src/$DOMAIN/$ORG
+tar xvf $CWD/$REPONAME-$VERSION.tar.gz
+mv $REPONAME-$VERSION $REPONAME
+cd $REPONAME
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Point go to the location of the source tree
+export GOPATH="$TMP/$REPONAME-$VERSION"
+
+make GIT_COMMIT="$GIT_COMMIT"
+make install DESTDIR="$PKG" PREFIX="$PKG/usr" MANDIR="$PKG/usr/man" GIT_COMMIT="$GIT_COMMIT"
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/podman/podman.info b/system/podman/podman.info
new file mode 100644
index 0000000000..dc8a7903f9
--- /dev/null
+++ b/system/podman/podman.info
@@ -0,0 +1,10 @@
+PRGNAM="podman"
+VERSION="1.0.1"
+HOMEPAGE="https://github.com/containers/libpod"
+DOWNLOAD="https://github.com/containers/libpod/archive/v1.0.1/libpod-1.0.1.tar.gz"
+MD5SUM="d7ce87cad867fc7d1980a2b07566282f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="runc go-md2man slirp4netns"
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
diff --git a/system/podman/slack-desc b/system/podman/slack-desc
new file mode 100644
index 0000000000..618134f96c
--- /dev/null
+++ b/system/podman/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+podman: podman (utility to run OCI-based containers)
+podman:
+podman: libpod provides a library for applications looking to use the
+podman: Container Pod concept popularized by Kubernetes. libpod also contains
+podman: a tool called podman for managing Pods, Containers, and Container
+podman: Images.
+podman:
+podman: Site: https://github.com/containers/libpod
+podman:
+podman:
+podman: